Package: org.codehaus.groovy.grails.web.servlet.view

## [Java] Class SitemeshLayoutViewResolver

- org.codehaus.groovy.grails.web.servlet.view.SitemeshLayoutViewResolver

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.beans.factory.DisposableBean, org.springframework.core.Ordered, org.springframework.context.ApplicationListener

      public class SitemeshLayoutViewResolver
      extends GrailsLayoutViewResolver

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsApplication` | `grailsApplication` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsLayoutViewResolver` | `groovyPageLayoutFinder, innerViewResolver, servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SitemeshLayoutViewResolver ()`
    `SitemeshLayoutViewResolver (org.springframework.web.servlet.ViewResolver innerViewResolver, GroovyPageLayoutFinder groovyPageLayoutFinder)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `clearSitemeshConfig()`
    `protected org.springframework.web.servlet.View` | `createLayoutView(org.springframework.web.servlet.View innerView)`
    `void` | `destroy()`
    `int` | `getOrder()`
    `void` | `init()`
    `protected com.opensymphony.module.sitemesh.Factory` | `loadSitemeshConfig()`
    `void` | `onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)`
    `void` | `setGrailsApplication(GrailsApplication grailsApplication)`
    `void` | `setOrder(int order)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsLayoutViewResolver` | `createLayoutView, getInnerViewResolver, getOrder, resolveViewName, setApplicationContext, setGroovyPageLayoutFinder, setInnerViewResolver, setOrder, setServletContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### public SitemeshLayoutViewResolver()

    - #### public SitemeshLayoutViewResolver(org.springframework.web.servlet.ViewResolver innerViewResolver, GroovyPageLayoutFinder groovyPageLayoutFinder)

  - ### Method Detail

    - #### protected void clearSitemeshConfig()

    - #### @java.lang.Override protected org.springframework.web.servlet.View createLayoutView(org.springframework.web.servlet.View innerView)

    - #### @java.lang.Override public void destroy()

    - #### public int getOrder()

    - #### public void init()

    - #### protected com.opensymphony.module.sitemesh.Factory loadSitemeshConfig()

    - #### @java.lang.Override public void onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)

    - #### @java.lang.Override public void setGrailsApplication(GrailsApplication grailsApplication)

    - #### public void setOrder(int order)